package ru.yandex.webmaster3.viewer.http.turbo.feed.history;

import org.joda.time.DateTime;
import org.joda.time.LocalDate;
import ru.yandex.autodoc.common.doc.annotation.Description;
import ru.yandex.webmaster3.core.http.RequestQueryProperty;
import ru.yandex.webmaster3.viewer.http.AbstractUserVerifiedHostRequest;

/**
 * Created by Oleg Bazdyrev on 02/03/2018.
 */
public final class GetTurboFeedHistoryRequest extends AbstractUserVerifiedHostRequest {

    private String feedUrl;
    private LocalDate date;

    public String getFeedUrl() {
        return feedUrl;
    }

    @Description("Урл фида")
    @RequestQueryProperty(required = true)
    public void setFeedUrl(String feedUrl) {
        this.feedUrl = feedUrl;
    }

    public LocalDate getDate() {
        return date;
    }

    @Description("Интересующая дата")
    @RequestQueryProperty(required = true)
    public void setDate(LocalDate date) {
        this.date = date;
    }
}
